#ifndef ACCOUNTSDIALOG_H
#define ACCOUNTSDIALOG_H

#include <QDialog>

class QLabel;
class QPushButton;
class QDialogButtonBox;
class QVBoxLayout;

class AccountsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AccountsDialog(QWidget *parent = 0);
    ~AccountsDialog();

private slots:
    void showSoundCloudSignInDialog();
    void showLastfmSignInDialog();
    void onSoundCloudSignedInChanged(bool signedIn);
    void onLastfmSignedInChanged(bool signedIn);
    
private:
    QLabel *m_soundcloudLabel;
    QLabel *m_lastfmLabel;
    QPushButton *m_soundcloudButton;
    QPushButton *m_lastfmButton;
    QDialogButtonBox *m_buttonBox;
    QVBoxLayout *m_vbox;
};

#endif // ACCOUNTSDIALOG_H
